xgboost

Public Types | Public Member Functions | List of all members
xgboost::common::HostSketchContainer Class Reference

`#include <quantile.h>`

Inheritance diagram for xgboost::common::HostSketchContainer:
Collaboration diagram for xgboost::common::HostSketchContainer:

## Public Types
using | WQSketch = WQuantileSketch< float, float >

## Public Member Functions
| HostSketchContainer (int32_t max_bins, MetaInfo const &info, std::vector< size_t > columns_size, bool use_group, Span< float const > hessian, int32_t n_threads)
Public Member Functions inherited from xgboost::common::SketchContainerImpl< WQuantileSketch< float, float > >
| SketchContainerImpl (std::vector< bst_row_t > columns_size, int32_t max_bins, common::Span< FeatureType const > feature_types, bool use_group, int32_t n_threads)
void | GatherSketchInfo (std::vector< typename WQuantileSketch< float, float > ::SummaryContainer > const &reduced, std::vector< bst_row_t > *p_worker_segments, std::vector< bst_row_t > *p_sketches_scan, std::vector< typename WQuantileSketch< float, float > ::Entry > *p_global_sketches)
void | AllReduce (std::vector< typename WQuantileSketch< float, float > ::SummaryContainer > *p_reduced, std::vector< int32_t > *p_num_cuts)
void | PushRowPage (SparsePage const &page, MetaInfo const &info, Span< float const > hessian={})
void | MakeCuts (HistogramCuts *cuts)

## Additional Inherited Members
Static Public Member Functions inherited from xgboost::common::SketchContainerImpl< WQuantileSketch< float, float > >
static bool | UseGroup (MetaInfo const &info)
static std::vector< bst_row_t > | CalcColumnSize (SparsePage const &page, bst_feature_t const n_columns, size_t const nthreads)
static std::vector< bst_feature_t > | LoadBalance (SparsePage const &page, bst_feature_t n_columns, size_t const nthreads)
static uint32_t | SearchGroupIndFromRow (std::vector< bst_uint > const &group_ptr, size_t const base_rowid)
Protected Attributes inherited from xgboost::common::SketchContainerImpl< WQuantileSketch< float, float > >
std::vector< WQuantileSketch< float, float > > | sketches_
std::vector< std::set< float > > | categories_
const std::vector< FeatureType > | feature_types_
std::vector< bst_row_t > | columns_size_
int32_t | max_bins_
bool | use_group_ind_
int32_t | n_threads_
bool | has_categorical_
Monitor | monitor_

## Member Typedef Documentation

## ◆ WQSketch

using xgboost::common::HostSketchContainer::WQSketch = WQuantileSketch<float, float>

## Constructor & Destructor Documentation

## ◆ HostSketchContainer()

xgboost::common::HostSketchContainer::HostSketchContainer | ( | int32_t | max_bins,
|  | MetaInfo const & | info,
|  | std::vector< size_t > | columns_size,
|  | bool | use_group,
|  | Span< float const > | hessian,
|  | int32_t | n_threads
| ) |  |

The documentation for this class was generated from the following file:

- /home/runner/work/xgboost/xgboost/src/common/quantile.h